[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: gdb-ui.el assumes images support

From: Nick Roberts
Subject: Re: gdb-ui.el assumes images support
Date: Thu, 11 Nov 2004 00:45:34 +1300

 >     If this is the case, tooltip does not need the last three requires,
 > Please try deleting them and see what happens.

I've done this, followed by "make bootstrap". Since I can find no problem,
I've committed this change. I think there are many other files with requires
that, similarly, aren't really needed. Possibly because of what Luc has
pointed out it says in the manual:

> Sometimes adding a `require' for another package is useful to
> avoid compilation warnings for variables and functions defined in
> that package.  If you do this, often it is better if the
> `require' acts only at compile time...

I've also deleted the require for cl. Using this at compile time, presumably
compiles in expansions of the Common Lisp macros for push and pop, rather than
those in subr.el, which might be undesirable.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]